GetbeelDocs

A POS–RT link

GET
/pos-rt-links/{id}

Autorizzazione

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

id*string
Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Corpo della risposta

OK

application/json
  1. response
id*string
object*string
label*string|null
rt_serial*string
acquirer_country*string
Value in"IT""ES"
acquirer_id*string
acquirer_name*string
pos_type*string
Value in"00""01"
terminal_id*string|null
contract_number*string
itinerant*boolean
province*string|null
municipality*string|null
street*string|null
street_number*string|null
postal_code*string|null
active_from*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
ended_on*|null
status*string
Value in"to_file""filed""end_to_file""ended"
pending*|

What is still to communicate to the AdE, and by when

linked_filed_at*|null
end_filed_at*|null
created_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
updated_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
Esempio di richiesta
curl -X GET 'https://www.getbeel.com/api/v1/pos-rt-links/string'
Esempio di risposta
{  "id": "string",  "object": "pos_rt_link",  "label": "string",  "rt_serial": "string",  "acquirer_country": "IT",  "acquirer_id": "string",  "acquirer_name": "string",  "pos_type": "00",  "terminal_id": "string",  "contract_number": "string",  "itinerant": true,  "province": "string",  "municipality": "string",  "street": "string",  "street_number": "string",  "postal_code": "string",  "active_from": "2026-10-29",  "ended_on": "2026-10-29",  "status": "to_file",  "pending": {    "operation": "I",    "from": "2026-10-29",    "due": "2026-10-29",    "not_late_until": "2026-10-29",    "reference_month": "string",    "initial_window": true  },  "linked_filed_at": "2019-08-24T14:15:22Z",  "end_filed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}